# ddoc13

- `Bug4107`

  #### Declaration

  `struct `Bug4107`(T);`

  struct doc

  - `foo`

    #### Declaration

    `void `foo`(U)(U `u`);`

    templated function doc

- `Bug4107b`

  #### Declaration

  `struct `Bug4107b`(T);`

  alpha

  - `B`

    #### Declaration

    `struct `B`(U);`

    beta

    - `C`

      #### Declaration

      `struct `C`(V);`

      gamma

      - `D`

        #### Declaration

        `struct `D`(W);`

        delta

        - `e`

          #### Declaration

          `B!W `e`(X)(C!V `c`, X[] `x`...);`

          epsilon